<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.teacher.mapper.AttendanceRecordMapper">
    <select id="getCheckInDay" resultType="java.lang.String">
        select
            date_format(t.check_time,'%d') evertday
        FROM attendance_record t
        WHERE t.check_time BETWEEN #{beginOfMonth} AND #{endOfMonth}
        GROUP BY evertday
        ORDER BY evertday DESC
    </select>
</mapper>